org.eclipse.aether.transfer

## Class AbstractTransferListener

- java.lang.Object
- - org.eclipse.aether.transfer.AbstractTransferListener

- All Implemented Interfaces:
    TransferListener
  Direct Known Subclasses:
    ChainedTransferListener

      public abstract class AbstractTransferListener
      extends Object
      implements TransferListener

  A skeleton implementation for custom transfer listeners. The callback methods in this class do nothing.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractTransferListener()` Enables subclassing.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `transferCorrupted(TransferEvent event)` Notifies the listener that a checksum validation failed.
    `void` | `transferFailed(TransferEvent event)` Notifies the listener about the unsuccessful termination of a transfer.
    `void` | `transferInitiated(TransferEvent event)` Notifies the listener about the initiation of a transfer.
    `void` | `transferProgressed(TransferEvent event)` Notifies the listener about some progress in the data transfer.
    `void` | `transferStarted(TransferEvent event)` Notifies the listener about the start of a data transfer.
    `void` | `transferSucceeded(TransferEvent event)` Notifies the listener about the successful completion of a transfer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractTransferListener

          protected AbstractTransferListener()

      Enables subclassing.

  - ### Method Detail

    - #### transferInitiated

          public void transferInitiated(TransferEvent event)
                                 throws TransferCancelledException

      Description copied from interface: `TransferListener`
      Notifies the listener about the initiation of a transfer. This event gets fired before any actual network access to the remote repository and usually indicates some thread is now about to perform the transfer. For a given transfer request, this event is the first one being fired and it must be emitted exactly once.
      Specified by:
        `transferInitiated` in interface `TransferListener`
      Parameters:
        `event` - The event details, must not be `null`.
      Throws:
        `TransferCancelledException` - If the transfer should be aborted.

    - #### transferStarted

          public void transferStarted(TransferEvent event)
                               throws TransferCancelledException

      Description copied from interface: `TransferListener`
      Notifies the listener about the start of a data transfer. This event indicates a successful connection to the remote repository. In case of a download, the requested remote resource exists and its size is given by `TransferResource.getContentLength()` if possible. This event may be fired multiple times for given transfer request if said transfer needs to be repeated (e.g. in response to an authentication challenge).
      Specified by:
        `transferStarted` in interface `TransferListener`
      Parameters:
        `event` - The event details, must not be `null`.
      Throws:
        `TransferCancelledException` - If the transfer should be aborted.

    - #### transferProgressed

          public void transferProgressed(TransferEvent event)
                                  throws TransferCancelledException

      Description copied from interface: `TransferListener`
      Notifies the listener about some progress in the data transfer. This event may even be fired if actually zero bytes have been transferred since the last event, for instance to enable cancellation.
      Specified by:
        `transferProgressed` in interface `TransferListener`
      Parameters:
        `event` - The event details, must not be `null`.
      Throws:
        `TransferCancelledException` - If the transfer should be aborted.

    - #### transferCorrupted

          public void transferCorrupted(TransferEvent event)
                                 throws TransferCancelledException

      Description copied from interface: `TransferListener`
      Notifies the listener that a checksum validation failed. `TransferEvent.getException()` will be of type `ChecksumFailureException` and can be used to query further details about the expected/actual checksums.
      Specified by:
        `transferCorrupted` in interface `TransferListener`
      Parameters:
        `event` - The event details, must not be `null`.
      Throws:
        `TransferCancelledException` - If the transfer should be aborted.

    - #### transferSucceeded

          public void transferSucceeded(TransferEvent event)

      Description copied from interface: `TransferListener`
      Notifies the listener about the successful completion of a transfer. This event must be fired exactly once for a given transfer request unless said request failed.
      Specified by:
        `transferSucceeded` in interface `TransferListener`
      Parameters:
        `event` - The event details, must not be `null`.

    - #### transferFailed

          public void transferFailed(TransferEvent event)

      Description copied from interface: `TransferListener`
      Notifies the listener about the unsuccessful termination of a transfer. `TransferEvent.getException()` will provide further information about the failure.
      Specified by:
        `transferFailed` in interface `TransferListener`
      Parameters:
        `event` - The event details, must not be `null`.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.